### Virtual Method

# EDataCal CalBackendSync receive_objects_sync

#### Declaration [src]

    void
    receive_objects_sync (
      ECalBackendSync* backend,
      EDataCal* cal,
      GCancellable* cancellable,
      const gchar* calobj,
      ECalOperationFlags opflags,
      GError** error
    )

#### Description [src]

Receive objects.

#### Parameters

`cal`

  Type: `EDataCal`

  No description available.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`calobj`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`opflags`

  Type: `ECalOperationFlags`

  No description available.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.